## com.thingmagic
Class Gen2.Lock

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Lock

Enclosing class:
  Gen2

    public static class Gen2.Lock

extends TagOp

Embedded Tag operation : Lock

Field Summary
`int` `AccessPassword` Access Password
`Gen2.LockAction` `Action` New values of each bit specified in the mask

Constructor Summary
`Gen2.Lock(int accessPassword, Gen2.LockAction action)` Constructor to initialize parameters of lock

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AccessPassword

    public int AccessPassword

  Access Password

### Action

    public Gen2.LockAction Action

  New values of each bit specified in the mask

Constructor Detail

### Gen2.Lock

    public Gen2.Lock(int accessPassword,
                     Gen2.LockAction action)

  Constructor to initialize parameters of lock

  Parameters:
    `accessPassword` - The access password
    `action` - The lock Action